Description: Fix wx issues
 There have been some changes to wxPython that nuxhash hasn't been
 updated to address. This causes the GUI to enter a startup loop and
 make a bunch of processes, like a fork bomb. This patch updates the
 nuxhash GUI in order to prevent this.
Author: Jason Pearl <jason@pearlmail.me>
Bug: https://github.com/YoRyan/nuxhash/issues/62
Reviewed-by: Ben Westover <kwestover.kw@gmail.com>
Last-Update: 2022-07-04

--- a/nuxhash/gui/benchmarks.py
+++ b/nuxhash/gui/benchmarks.py
@@ -4,7 +4,7 @@
 import wx
 import wx.dataview
 from wx.lib.newevent import NewCommandEvent
-from wx.lib.pubsub import pub
+from pubsub import pub
 from wx.lib.scrolledpanel import ScrolledPanel
 
 from nuxhash import utils
--- a/nuxhash/gui/main.py
+++ b/nuxhash/gui/main.py
@@ -7,7 +7,7 @@
 from subprocess import Popen
 
 import wx
-from wx.lib.pubsub import pub
+from pubsub import pub
 from wx.lib.newevent import NewCommandEvent
 
 import nuxhash.settings
--- a/nuxhash/gui/mining.py
+++ b/nuxhash/gui/mining.py
@@ -64,8 +64,7 @@
                                               .Expand())
 
         bottomSizer = wx.BoxSizer(orient=wx.HORIZONTAL)
-        sizer.Add(bottomSizer, wx.SizerFlags().Border(wx.ALL, main.PADDING_PX)
-                                              .Expand())
+        sizer.Add(bottomSizer, wx.SizerFlags().Border(wx.ALL, main.PADDING_PX).Expand())
 
         # Add balance displays.
         balances = wx.FlexGridSizer(2, 2, main.PADDING_PX)
@@ -88,8 +87,7 @@
 
         # Add start/stop button.
         self._StartStop = wx.Button(self, label='Start Mining')
-        bottomSizer.Add(self._StartStop, wx.SizerFlags().Expand()
-                                                        .Center())
+        bottomSizer.Add(self._StartStop, wx.SizerFlags().Center())
         self.Bind(wx.EVT_BUTTON, self.OnStartStop, self._StartStop)
 
     def _OnSettings(self, settings):
--- a/nuxhash/gui/settings.py
+++ b/nuxhash/gui/settings.py
@@ -2,7 +2,7 @@
 from functools import wraps
 
 import wx
-from wx.lib.pubsub import pub
+from pubsub import pub
 from wx.lib.agw.hyperlink import HyperLinkCtrl
 
 from nuxhash import settings
